﻿namespace HeuristicLab.BenchmarkSuite {
  using HeuristicLab.BenchmarkSuite.ProblemData;
  using HeuristicLab.Problems.Instances;

  public class BenchmarkSuitePushInstanceProvider : BenchmarkSuiteInstanceProvider<IPushData> {
    public override IPushData LoadData(IDataDescriptor descriptor) {
      var benchmarkSuiteDataDescriptor = descriptor as IBenchmarkSuiteDataDescriptor;

      return benchmarkSuiteDataDescriptor.CreatePushData();
    }
  }
}
